Name:           ocaml-ssl
Version:        0.4.3
Release:        %mkrel 1
Summary:        SSL bindings for OCaml

Group:          Development/Other
License:        LGPLv2+ with exceptions
URL:            http://savonet.sourceforge.net/wiki/Savonet
Source0:        http://downloads.sourceforge.net/savonet/ocaml-ssl-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}

BuildRequires:  ocaml >= 3.10.1
BuildRequires:  ocaml-findlib
BuildRequires:  openssl-devel
BuildRequires:  gawk
Requires:       openssl

%description
SSL bindings for OCaml.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q

%build
%configure --libdir=%{_libdir}
make

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR
mkdir -p $OCAMLFIND_DESTDIR/stublibs
make install

# Copy the examples to the docdir.
mkdir -p %{buildroot}%{_docdir}/%{name}-devel-%{version}/examples
cp examples/*.ml %{buildroot}%{_docdir}/%{name}-devel-%{version}/examples

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGES COPYING README
%{_libdir}/ocaml/ssl
%exclude %{_libdir}/ocaml/ssl/*.a
%exclude %{_libdir}/ocaml/ssl/*.cmxa
%exclude %{_libdir}/ocaml/ssl/*.mli
%{_libdir}/ocaml/stublibs/*.so
%{_libdir}/ocaml/stublibs/*.so.owner

%files devel
%defattr(-,root,root,-)
%{_libdir}/ocaml/ssl/*.a
%{_libdir}/ocaml/ssl/*.cmxa
%{_libdir}/ocaml/ssl/*.mli
%{_docdir}/%{name}-devel-%{version}/




%changelog
* Tue Feb 03 2009 Florent Monnier <blue_prawn@mandriva.org> 0.4.3-1mdv2009.1
+ Revision: 337170
- updated version

* Tue Jan 06 2009 Florent Monnier <blue_prawn@mandriva.org> 0.4.2-1mdv2009.1
+ Revision: 326276
- import ocaml-ssl


* Sat Dec 20 2008 Florent Monnier <fmonnier@linux-nantes.org> 0.4.2-1mdv
- Initial RPM release made from the fedora rpm .spec file (revision 1.11) by Richard W.M. Jones
# found there: http://cvs.fedoraproject.org/viewvc/devel/ocaml-ssl/ocaml-ssl.spec
